---
title: sum
slug: Web/XPath/Functions/sum
tags:
  - XSLT
  - XSLT_Reference
---
<p>{{ XsltRef() }}</p>

<p><br>
 The <code>sum</code> function returns a number that is the sum of the numeric values of each node in a given node-set.</p>

<h3 id="Syntax">Syntax</h3>

<pre class="eval">sum(<em>node-set</em> )
</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt><em><code>node-set</code></em></dt>
 <dd>The node-set to be evaluated. Each node in this node-set is evaluated as if it were passed to the <a href="en/XPath/Functions/number">number()</a> function, and a sum of the resulting numbers is returned.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>A number.</p>

<h3 id="Notes">Notes</h3>

<p><em>(None)</em></p>

<h3 id="Defined">Defined</h3>

<p><a class="external" href="http://www.w3.org/TR/xpath#function-sum">XPath 1.0 4.3</a></p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
